<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ajax</title>
    <!-- <link rel="stylesheet" href="styles/default.css"> -->
    <link rel="stylesheet" href="{{ url_for('static', filename='styles/default.css')}}">
</head>
<body>
    <div class="container-ajax">
        <div class="inner-ajax">
            <div class="form1">
                <h1>Form 1</h1>
                <form action="{{ url_for('index') }}" id="product-form" method="POST">
                    <div class="form1-group">
                        <label for="product">Product</label>
                        <input type="text" name="product" id="product" >
                    </div>
                    <div class="form1-group">
                        <label for="price">Price</label>
                        <input type="number" min="0.00" step="0.01" name="price" id="price" >
                    </div>
                    <div class="form1-group">
                        <label for="qty">Quantity</label>
                        <input type="number" min="0" name="qty" id="qty" >
                    </div>
                    <div class="form1-group">
                        <input type="submit" id="submit1" value="New">
                        <input type="reset" value="Reset">
                    </div>
                </form>
                <div class="form2-box">
                    <h1>Form 2</h1>
                    <form action="#" class="form2">
                        <div class="from2-group">
                            <input type="file" name="form2-file" id="input-form2-file" accept="text/plain">
                        </div>
                        <div class="form2-group">
                            <input type="button" value="file" id="btn-form2-file">
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div>
            <div id="progress-indicator"></div>
            <ul id="result-form1"></ul>
            <section id="databox"></section>
            
            {% if product_obj %}
            <ul>
                <li>{{ product_obj }}</li>
            </ul>
            {% endif %}

            {% if product_obj.product != None %}
            <div class="query-string">
                <p>{{ product_obj.product }}</p>
            </div>
            {% endif %}
            {% if product_obj.price != None %}
            <div class="query-string">
                <p>{{ product_obj.price }}</p>
            </div>
            {% endif %}
            {% if product_obj.qty != None %}
            <div class="query-string">
                <p>{{ product_obj.qty }}</p>
            </div>
            <div class="total">
                <span>total: {{ product_obj.price * product_obj.qty }}</span>
            </div>
            {% endif %}
        </div>
    </div>

    <!-- <script src="scripts/main.js"></script> -->
    <script src="{{ url_for('static', filename='scripts/main.js')}}"></script>
</body>
</html>